Skip to content
GET /automation/{id}/session/{sessionId}/message

Bounded text previews only. Answers 501 session_transcript_unavailable until the transcript store is wired.

Path Parameters

idstring
required·

Resource id

sessionIdstring
required·

Session id

Response Body

next_cursorstring,null
prev_cursorstring,null
resultobject[]
created_atstring
idstring
rolestring
Possible values:
userassistanttool
run_idstring,null
text_previewstring

At most 4 KB.

truncatedboolean
curl -X GET 'https://api.elaichi.ai/automation/<id>/session/<sessionId>/message' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.elaichi.ai/automation/<id>/session/<sessionId>/message', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/automation/<id>/session/<sessionId>/message"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())